org.apache.calcite.avatica.remote

## Class MockProtobufService.MockProtobufServiceFactory

- java.lang.Object
- - org.apache.calcite.avatica.remote.MockProtobufService.MockProtobufServiceFactory

All Implemented Interfaces:
  Service.Factory

Enclosing class:
  MockProtobufService

    public static class MockProtobufService.MockProtobufServiceFactory
    extends Object
    implements Service.Factory

A factory that instantiates the mock protobuf service.

### Constructor Summary

Constructors
Constructor and Description
`MockProtobufServiceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Service` `create(AvaticaConnection connection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockProtobufServiceFactory

    public MockProtobufServiceFactory()

### Method Detail

#### create

    public Service create(AvaticaConnection connection)

Specified by:
  `create` in interface `Service.Factory`